<main>
  <h1>{{title}}</h1>
  <h2>Cet annuaire permet d'ajouter des gens au hasard grâce à une API aléatoire. Have fun!</h2>
  <button id="buttonAddUser" type="submit" (click)="addUser()">Ajouter un utilisateur</button>
</main>
<section id="users" *ngIf="users.length">
  <div class="box" *ngFor="let user of users">
    <div class="box-picture">
      <img src={{user.picture}} alt="profil picture">
    </div>
    <div class="box-content">
      <li class="box-title">{{user.firstName}} {{user.lastName}}</li>
      <li class="content-items">{{user.age}}</li>
      <div class="content-items">
        <div class="adress">
          <li>{{user.streetNumber}} {{user.streetName}}</li>
          <li>{{user.postCode}} {{user.city}}</li>
        </div>
      </div>
      <li class="content-items"> {{user.mail}} </li>
    </div>
  </div>
  <div class="adding-box" (click)="addUser()"></div>
</section>
<router-outlet></router-outlet>